/* Procedure para incluso de ajuste no boleto a receber*/
create or replace PROCEDURE GERA_AJUSTE_BOL(
   P_CDEMPRESA   IN AJCTPAGAR.CDECTBAJPAG%TYPE,
   P_CDFILIAL    IN NOTAFISCAL.CDFILIAL%TYPE,
   P_NRLANBOLREC IN BOLETRECEBER.NRLANBOLREC%TYPE,
   P_CDTPAJUSTE  IN AJCTPAGAR.CDAJUCTPAG%TYPE,
   P_VRAJUSTE    IN AJCTPAGAR.VRAJUSTEPAG%TYPE)
AS
   V_IDAJUCTREC   TIPOAJRECEBER.IDAJUCTREC%TYPE;
   V_VRFINALBREC  BOLETRECEBER.VRFINALBREC%TYPE;
   V_VRAJUSTE     AJCTPAGAR.VRAJUSTEPAG%TYPE;
   V_NRSEQTPRECBO TPRECBOLETO.NRSEQTPRECBO%TYPE;

   V_CDCLASSFINA  CONTARECEBER.CDCLASSFINA%TYPE;
   V_CDFIMOVFLREC CONTARECEBER.CDFIMOVFLREC%TYPE;
   V_DTMOVFLUXO   CONTARECEBER.DTMOVFLUXO%TYPE;
   V_IDMOVFLUXO   CONTARECEBER.IDMOVFLUXO%TYPE;
BEGIN
   SELECT MAX(IDAJUCTREC)
   INTO V_IDAJUCTREC
   FROM TIPOAJRECEBER
   WHERE CDAJUCTREC = P_CDTPAJUSTE;

   SELECT MAX(VRFINALBREC)
   INTO V_VRFINALBREC
   FROM BOLETRECEBER
   WHERE
      CDFILIAL    = P_CDFILIAL AND
      NRLANBOLREC = P_NRLANBOLREC;

   IF V_IDAJUCTREC = 'A' THEN
      V_VRFINALBREC := V_VRFINALBREC + P_VRAJUSTE;
   ELSE
      V_VRFINALBREC := V_VRFINALBREC - P_VRAJUSTE;
   END IF;

   /*Atualiza o valor do tipo de recebimento*/
   SELECT MAX(NRSEQTPRECBO)
   INTO V_NRSEQTPRECBO
   FROM TPRECBOLETO
   WHERE (CDFILIAL = P_CDFILIAL) AND
         (NRLANBOLREC = P_NRLANBOLREC);

   UPDATE TPRECBOLETO
   SET
      VRTPRECBOLR = V_VRFINALBREC
   WHERE
      (CDFILIAL = P_CDFILIAL) AND
      (NRLANBOLREC = P_NRLANBOLREC) AND
      (NRSEQTPRECBO = V_NRSEQTPRECBO);

   /*Atualiza o balor do boleto*/
   UPDATE BOLETRECEBER
   SET
      VRFINALBREC   = V_VRFINALBREC,
      IDSTATBREC    = 'A',
      DSLINHABARREC = NULL,
      CDBARRAREC    = NULL,
      CDNOSNUMREC   = NULL
   WHERE
      CDFILIAL    = P_CDFILIAL AND
      NRLANBOLREC = P_NRLANBOLREC;

   INSERT INTO AJBOLREC
   (CDAJUCTREC, VRAJBOLREC, CDFILIAL, NRLANBOLREC)
   VALUES
   (P_CDTPAJUSTE, P_VRAJUSTE, P_CDFILIAL, P_NRLANBOLREC);    
  
   SELECT
      MAX(CR.CDCLASSFINA), MAX(CR.CDFIMOVFLREC), MAX(CR.DTMOVFLUXO),  MAX(CR.IDMOVFLUXO)
   INTO
      V_CDCLASSFINA, V_CDFIMOVFLREC, V_DTMOVFLUXO, V_IDMOVFLUXO
   FROM
      CONTARECEBER  CR
   WHERE
      (CR.CDFILIBOLREC = P_CDFILIAL)    AND
      (CR.NRLANBOLREC  = P_NRLANBOLREC);

   IF V_IDAJUCTREC = 'D' THEN
      V_VRAJUSTE := P_VRAJUSTE * -1;
   ELSE
      V_VRAJUSTE := P_VRAJUSTE;
   END IF;

   ATUALIZA_FLUXO_DE_CAIXA(P_CDEMPRESA,
                           V_CDFIMOVFLREC,
                           V_DTMOVFLUXO,
                           V_IDMOVFLUXO,
                           V_CDCLASSFINA,
                           V_VRAJUSTE,
                           0);

   INSERT INTO MOVFXAJBOLR
   (CDEMPRESA, CDFILIAL, CDCLASSFINA,
    DTMOVFLUXO, IDMOVFLUXO, CDFILIBOLREC,
    NRLANBOLREC, CDAJUCTREC, VRFXAJBOLREC)
   VALUES
   (P_CDEMPRESA, V_CDFIMOVFLREC, V_CDCLASSFINA,
    V_DTMOVFLUXO, V_IDMOVFLUXO, P_CDFILIAL,
    P_NRLANBOLREC, P_CDTPAJUSTE, V_VRAJUSTE);

END;
/

-- VERSAO --
BEGIN ATUVEROBJ('GERA_AJUSTE_BOL','5.01.016'); END;
/

